Author Topic: vmError: The parameter Merchant e-mail is required for the payment ( 1)  (Read 3487 times)

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #45 on: January 27, 2018, 23:52:27 pm »
hi jjk, thank you for your quick answer! Very appreciated! However, I again removed all other extensions, incl. Template, helix, seo, sp page builder, etc. incl. all other payment plugins. I sent you some screenshots about the back- and frontend. Unfortunately, I have to unroll all these steps (can't leave the site at this stage). But as soon as I get rid of the paypal payment field, the warning just disappeared. So it has to be something about that paypal plugin. Is there any way, I can uninstall and install it separately? If yes, do you have a download link for me, please?

thank you again for keeping up with your ideas!
Have a nice time!

Studio 42

  • Contributing Developer
  • Sr. Member
  • *
  • Posts: 3241
  • Joomla & Virtuemart addon developper
    • Studio 42 - Virtuemart & Joomla extentions
  • VirtueMart Version: 2.6 & 3.0.x.y
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #46 on: January 27, 2018, 23:58:41 pm »
Have you try to disable OPC plugin ?

Jörgen

  • Global Moderator
  • Full Member
  • *
  • Posts: 1603
    • Kreativ Fotografi
  • VirtueMart Version: 3.2.12
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #47 on: January 28, 2018, 21:56:11 pm »
Is paypal@mail.com your e-mail adress for the merchant account?

Jörgen @ Kreativ Fotografi
Joomla 3.8.3
Virtuemart 3.2.12
Olympiantheme Hera (customized)

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #48 on: January 29, 2018, 17:45:58 pm »
Hi Guys, thank you like always very much for your amazing input! I really appreciate your time very much - like I always do! I used my time to figure out the issue. That'S the current situation;
 I meanwhile could solve that issue somehow! I again uninstalled the entire fw, incl. plugins. Afterwards I wiped out the entire db, created a new one, when into joomla! removed all caches, re-installed joomla! update package from their site, installed clean vm, downloaded from their site, and voila! It really works at least at the front end now! But at the same time I came across a new issue; The backend. Just suddently, it broke! It looks like I show you at the screen shots. Funny is, that the blocked fonts inside the console are not even on my template.  Are we closer now?

@ Jörgen, of course its not! I just typed that mail for the screenshot purpose.

Best regards to all of you !!!
P.S:
I just run joomla! in debug mode. It's throwing me out these errors below:
Call stack
#    Function    Location
1    ()    JROOT/libraries/joomla/database/driver/mysqli.php:650
2    JDatabaseDriverMysqli->execute()    JROOT/libraries/joomla/database/driver.php:1691
3    JDatabaseDriver->loadObjectList()    JROOT/administrator/components/com_virtuemart/helpers/vmmodel.php:499
4    VmModel->_getList()    JROOT/administrator/components/com_virtuemart/models/virtuemart.php:119
5    VirtueMartModelVirtueMart->getRecentCustomers()    JROOT/administrator/components/com_virtuemart/views/virtuemart/view.html.php:80
6    VirtuemartViewVirtuemart->display()    JROOT/administrator/components/com_virtuemart/helpers/vmcontroller.php:122
7    VmController->display()    JROOT/libraries/src/MVC/Controller/BaseController.php:710
8    Joomla\CMS\MVC\Controller\BaseController->execute()    JROOT/administrator/components/com_virtuemart/virtuemart.php:76
9    require_once()    JROOT/libraries/src/Component/ComponentHelper.php:381
10    Joomla\CMS\Component\ComponentHelper::executeComponent()    JROOT/libraries/src/Component/ComponentHelper.php:356
11    Joomla\CMS\Component\ComponentHelper::renderComponent()    JROOT/libraries/src/Application/AdministratorApplication.php:101
12    Joomla\CMS\Application\AdministratorApplication->dispatch()    JROOT/libraries/src/Application/AdministratorApplication.php:159
13    Joomla\CMS\Application\AdministratorApplication->doExecute()    JROOT/libraries/src/Application/CMSApplication.php:267
14    Joomla\CMS\Application\CMSApplication->execute()    JROOT/administrator/index.php:51

Studio 42

  • Contributing Developer
  • Sr. Member
  • *
  • Posts: 3241
  • Joomla & Virtuemart addon developper
    • Studio 42 - Virtuemart & Joomla extentions
  • VirtueMart Version: 2.6 & 3.0.x.y
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #49 on: January 29, 2018, 18:28:59 pm »
Check if you have the user field first_name in YOURSITE/administrator/index.php?option=com_virtuemart&view=userfields, this field is mandatory in some case.

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3333
  • using Matomo instead of Google Analytics
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #50 on: January 29, 2018, 18:38:12 pm »
Looks pretty similar to this Joomla update issue: https://issues.joomla.org/tracker/joomla-cms/18192
Perhaps install Joomla 3.8.3 once more using the most appropriate update zip file from here: https://downloads.joomla.org/cms/joomla3/3-8-3
and then install it using the Joomla admin menu 'Components' > 'Joomla! Update' > 'Upload & Update' tab.
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #51 on: January 29, 2018, 19:15:00 pm »
hi and thank you for your quick response.
Studio 42; Yes, name parameters are all set to "1" .
jjk; I just did the suggested update again. As it didn't work, I also applied the update pach  provided by joomla! And it didn't work. I also re-installed the entire vm fw.
thanx Guys for keeping your heads up with me! Like always really very appreciated!
best regards!

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #52 on: January 29, 2018, 19:48:44 pm »
maybe that info helps to narrow; I now enable Query checkbox under the template tab. Now, I can at least enter some vm backend options. Just the entire shop section, the "control panel" and the "support" under "Tools",  and the control panel are throwing me white pages.
are we getting closer :p ?
best regards!

jjk

  • Global Moderator
  • Sr. Member
  • *
  • Posts: 3333
  • using Matomo instead of Google Analytics
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #53 on: January 29, 2018, 19:58:01 pm »
Perhaps try something simple now: In the Joomla admin click 'Extensions' > 'Manage' > 'Database' > "Fix"
Non-English Shops: Are your language files up to date?
http://virtuemart.net/community/translations

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #54 on: January 30, 2018, 10:35:34 am »
hi jjk, yes I tried that before. but did not work.

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #55 on: January 30, 2018, 11:44:20 am »
ok, I guess I just solved it  8)!
today in the morning, an idea to remove manually all vm-tables  from the phpmyadmin showed up in my head. So I did and as soon as I re-installed all vm Ext. I'm now inside the vm backend with no problems :)! Thank you, jjk and all the Others who worked with me so hard on that solution!!! I really appreciate that very much! As it seems to, that issue has being solved for now! Thank you so very much for your outstanding support  8)! The decision I took while working on this treat is, that as soon as I'm ready with the site, I'll help you with supporting others! Thanx again and have a wonderful time!

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #56 on: January 30, 2018, 19:55:51 pm »
One more information I want to share with people who might come across to a similar issue;
I reinstalled the backup again and troubleshooted the cause of the issue. I went to the "Tools & Migration" tab. There I selected the option "Restore System defaults". That also made the job! Anyway, I'm now confronted with another new issue, I just created this new threat for: https://forum.virtuemart.net/index.php?topic=139392.0

Alemantico

  • Jr. Member
  • **
  • Posts: 107
  • A beginner
Re: vmError: The parameter Merchant e-mail is required for the payment ( 1)
« Reply #57 on: February 02, 2018, 10:07:04 am »
sorry to say, but the issue returned now in another even worse way  >:( !